// -----------------------------------------------------------------------
// Litmus - DKFZ SIDT unit testing library
//
// Copyright (c) German Cancer Research Center (DKFZ),
// Software development for Integrated Diagnostic and Therapy (SIDT).
// ALL RIGHTS RESERVED.
// See litmusCopyright.txt or
// http://www.dkfz.de/en/sidt/projects/litmus/copyright.html
//
// This software is distributed WITHOUT ANY WARRANTY; without even
// the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR
// PURPOSE.  See the above copyright notices for more information.
//
//------------------------------------------------------------------------
/*!
// @file
// @version $Revision: 4433 $ (last changed revision)
// @date    $Date: 2013-01-22 14:38:20 +0100 (Di, 22 Jan 2013) $ (last change date)
// @author  $Author: floca $ (last changed by)
*/


#include "litTestCommand.h"

namespace lit 
{

  unsigned int 
    TestCommand::
    getLastCallOrder() const
  {
    return _lastCallOrder;
  };

  unsigned int TestCommand::_currentCallOrder = 0;

    void
      TestCommand::
      Execute(::itk::Object * caller,const ::itk::EventObject & e) 
    {
      ++_eventCount;
      _lastCallOrder=++_currentCallOrder;
      checkEvent(caller, e);
    }

    void
      TestCommand::
      Execute(const ::itk::Object * caller,const ::itk::EventObject & e) 
    {
      ++_eventCount;
      _lastCallOrder=++_currentCallOrder;
      checkEvent(caller, e);
    }

    void
      TestCommand::
      resetCallOrder()
    {
      _currentCallOrder = 0;
    };

    void
      TestCommand::
      checkEvent(const ::itk::Object * caller,const ::itk::EventObject & e)
    {
    };

  unsigned int 
    TestCommand::
    getEventCount() const
  {
    return _eventCount;
  };

  void
    TestCommand::
    resetEventCount()
  {
    _eventCount = 0;
  };

    TestCommand::
      TestCommand():_eventCount(0), _lastCallOrder(0) {};

    TestCommand::
      ~TestCommand() {};

}

