# Generate the LitmusConfig.cmake file in the build tree.  Also configure
# one for installation.  The file tells external projects how to use
# Litmus.

#-----------------------------------------------------------------------------
# Settings specific to the build tree.

# The "use" file.
SET(Litmus_USE_FILE ${Litmus_BINARY_DIR}/UseLitmus.cmake)

# The library dependencies file.
SET(Litmus_LIBRARY_DEPENDS_FILE ${Litmus_BINARY_DIR}/LitmusLibraryDepends.cmake)

# The build settings file.
SET(Litmus_BUILD_SETTINGS_FILE ${Litmus_BINARY_DIR}/LitmusBuildSettings.cmake)

# Library directory.
SET(Litmus_LIBRARY_DIRS_CONFIG ${Litmus_LIBRARY_PATH})

IF (LIT_ITK_SUPPORT_ENABLED)
  SET(Litmus_LIBRARY_DIRS_CONFIG ${Litmus_LIBRARY_DIRS_CONFIG}
    ${ITK_LIBRARY_DIRS}
  )
ENDIF (LIT_ITK_SUPPORT_ENABLED)

# Determine the include directories needed.
SET(Litmus_INCLUDE_DIRS_CONFIG
  ${Litmus_INCLUDE_DIRS_SOURCE_TREE}
)

#-----------------------------------------------------------------------------
# Configure LitmusConfig.cmake for the build tree.
CONFIGURE_FILE(${Litmus_SOURCE_DIR}/LitmusConfig.cmake.in
               ${Litmus_BINARY_DIR}/LitmusConfig.cmake @ONLY IMMEDIATE)

#-----------------------------------------------------------------------------
# Settings specific to the install tree.

# The "use" file.
SET(Litmus_USE_FILE ${CMAKE_INSTALL_PREFIX}${Litmus_INSTALL_PACKAGE_DIR}/UseLitmus.cmake)

# The library dependencies file.
SET(Litmus_LIBRARY_DEPENDS_FILE
    ${CMAKE_INSTALL_PREFIX}${Litmus_INSTALL_PACKAGE_DIR}/LitmusLibraryDepends.cmake)

# The build settings file.
SET(Litmus_BUILD_SETTINGS_FILE
    ${CMAKE_INSTALL_PREFIX}${Litmus_INSTALL_PACKAGE_DIR}/LitmusBuildSettings.cmake)

# Include directories.
SET(Litmus_INCLUDE_DIRS_CONFIG
  ${Litmus_INCLUDE_DIRS_INSTALL_TREE}
  ${Litmus_INCLUDE_DIRS_SYSTEM}
)

# Link directories.
SET(Litmus_LIBRARY_DIRS_CONFIG ${CMAKE_INSTALL_PREFIX}${Litmus_INSTALL_LIB_DIR})

#-----------------------------------------------------------------------------
# Configure LitmusConfig.cmake for the install tree.
CONFIGURE_FILE(${Litmus_SOURCE_DIR}/LitmusConfig.cmake.in
               ${Litmus_BINARY_DIR}/LitmusConfig.cmake.install @ONLY IMMEDIATE)
