#-----------------------------------------------------------------------------
# Include directories for other projects installed on the system.
SET(Litmus_INCLUDE_DIRS_SYSTEM "")

#-----------------------------------------------------------------------------
# Include directories from the build tree.
SET(Litmus_INCLUDE_DIRS_SOURCE_TREE ${Litmus_BINARY_DIR})

# These directories are always needed.
IF (LIT_ITK_SUPPORT_ENABLED)
  SET(Litmus_INCLUDE_DIRS_SOURCE_TREE ${Litmus_INCLUDE_DIRS_SOURCE_TREE}
    ${Litmus_SOURCE_DIR}/code/common
    ${Litmus_SOURCE_DIR}/code/itk
    ${ITK_INCLUDE_DIRS}
  )
  IF (LIT_USE_SYSTEM_GDCM)
    LIST (APPEND Litmus_INCLUDE_DIRS_SOURCE_TREE ${GDCM_INCLUDE_DIRS})
  ENDIF (LIT_USE_SYSTEM_GDCM)

ELSE (LIT_ITK_SUPPORT_ENABLED)
  SET(Litmus_INCLUDE_DIRS_SOURCE_TREE ${Litmus_INCLUDE_DIRS_SOURCE_TREE}
    ${Litmus_SOURCE_DIR}/code/common
  )
ENDIF (LIT_ITK_SUPPORT_ENABLED)

#-----------------------------------------------------------------------------
# Include directories from the install tree.
SET(Litmus_INSTALL_INCLUDE_PATH "${CMAKE_INSTALL_PREFIX}${Litmus_INSTALL_INCLUDE_DIR}")
SET(Litmus_INCLUDE_DIRS_INSTALL_TREE ${Litmus_INCLUDE_DIRS_INSTALL_TREE}
  ${Litmus_INSTALL_INCLUDE_PATH}
)
